Server hangs preceded by "EQ overflowing."

Bug #1129679 reported by Ryan Lovett on 2013-02-19
80
This bug affects 16 people
Affects Status Importance Assigned to Milestone
xf86-video-intel
New
Unknown
xserver-xorg-video-intel (Ubuntu)
Low
Unassigned

Bug Description

After upgrading to raring, my Lenovo Twist has begun to freeze and crash. Sometimes I am able to switch to vt1 to restart X, sometimes it just hangs hard. In all instances the behavior coincides with the "EQ overflowing" messages in Xorg.log. One saved X log contains:

(EE) [mi] EQ overflowing. Additional events will be discarded until existing events are processed.
(EE)
(EE) Backtrace:
(EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x7fd5882eaef6]
(EE) 1: /usr/bin/X (mieqEnqueue+0x26b) [0x7fd5882cc21b]
(EE) 2: /usr/bin/X (0x7fd58813b000+0x6d362) [0x7fd5881a8362]
(EE) 3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fd582ee2000+0x5f34) [0x7fd582ee7f34]
(EE) 4: /usr/bin/X (0x7fd58813b000+0x96597) [0x7fd5881d1597]
(EE) 5: /usr/bin/X (0x7fd58813b000+0xbfd58) [0x7fd5881fad58]
(EE) 6: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fd587242000+0xfbd0) [0x7fd587251bd0]
(EE) 7: /lib/x86_64-linux-gnu/libc.so.6 (ioctl+0x7) [0x7fd585f5f747]
(EE) 8: /usr/lib/x86_64-linux-gnu/libdrm.so.2 (drmIoctl+0x28) [0x7fd58703a338]
(EE) 9: /usr/lib/x86_64-linux-gnu/libdrm_intel.so.1 (0x7fd5847c9000+0x5a37) [0x7fd5847cea37]
(EE) 10: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fd5849e9000+0x12f54) [0x7fd5849fbf54]
(EE) 11: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fd5849e9000+0x29857) [0x7fd584a12857]
(EE) 12: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fd5849e9000+0x124b5) [0x7fd5849fb4b5]
(EE) 13: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fd5849e9000+0xf9b48) [0x7fd584ae2b48]
(EE) 14: /usr/bin/X (0x7fd58813b000+0x139679) [0x7fd588274679]
(EE) 15: /usr/lib/xorg/modules/drivers/intel_drv.so (0x7fd5849e9000+0xfac15) [0x7fd584ae3c15]
(EE) 16: /usr/bin/X (0x7fd58813b000+0x1331be) [0x7fd58826e1be]
(EE) 17: /usr/bin/X (0x7fd58813b000+0x58a41) [0x7fd588193a41]
(EE) 18: /usr/bin/X (0x7fd58813b000+0x4754a) [0x7fd58818254a]
(EE) 19: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xf5) [0x7fd585e8fea5]
(EE) 20: /usr/bin/X (0x7fd58813b000+0x47891) [0x7fd588182891]
(EE)
(EE) [mi] These backtraces from mieqEnqueue may point to a culprit higher up the stack.
(EE) [mi] mieq is *NOT* the cause. It is a victim.
(EE) [mi] EQ overflow continuing. 100 events have been dropped.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: xserver-xorg-input-evdev 1:2.7.3-0ubuntu2
ProcVersionSignature: Ubuntu 3.8.0-6.13-generic 3.8.0-rc7
Uname: Linux 3.8.0-6-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.8-0ubuntu4
Architecture: amd64
Date: Mon Feb 18 17:47:38 2013
DistUpgraded: 2013-02-17 01:06:25,336 DEBUG The following packages are marked for removal: libcogl9 python-pyatspi2 libcaribou0 libcaribou-common linux-image-extra-3.5.0-23-generic python3.2-minimal python-pyatspi libsdl-mixer1.2 libtelepathy-logger2 libpython3.2 libcec1 linux-headers-3.5.0-22-generic linux-headers-3.5.0-17-generic libdns81 gir1.2-caribou-1.0 python3.2 caribou libisccc80 linux-image-3.5.0-23-generic liblwres80 libnux-3.0-0 libmikmod2 libdrm-nouveau1a linux-headers-3.5.0-23-generic libbind9-80 linux-headers-3.5.0-21 linux-headers-3.5.0-22 linux-headers-3.5.0-17 linux-headers-3.5.0-23 linux-headers-3.5.0-19 libisccfg82 libgrail5 linux-tools-3.5.0-17 linux-tools-3.5.0-22 google-earth-stable fuse-utils linux-headers-3.5.0-21-generic libisc83 libnux-3.0-common linux-headers-3.5.0-19-generic
DistroCodename: raring
DistroVariant: ubuntu
InstallationDate: Installed on 2012-11-23 (87 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MachineType: LENOVO 33474HU
MarkForUpload: True
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-6-generic root=UUID=5bc29b22-60c8-4ab8-84ad-cd9d988a01d4 ro quiet splash vt.handoff=7
SourcePackage: xserver-xorg-input-evdev
UpgradeStatus: Upgraded to raring on 2013-02-17 (1 days ago)
dmi.bios.date: 08/30/2012
dmi.bios.vendor: LENOVO
dmi.bios.version: GDET33WW (1.03 )
dmi.board.asset.tag: Not Available
dmi.board.name: 33474HU
dmi.board.vendor: LENOVO
dmi.board.version: Win8 STD DPK TPG
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrGDET33WW(1.03):bd08/30/2012:svnLENOVO:pn33474HU:pvrThinkPadTwist:rvnLENOVO:rn33474HU:rvrWin8STDDPKTPG:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 33474HU
dmi.product.version: ThinkPad Twist
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.9~daily13.02.08-0ubuntu1
version.ia32-libs: ia32-libs 20090808ubuntu36
version.libdrm2: libdrm2 2.4.42-0ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.0.2-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.0.2-0ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.13.2-0ubuntu2
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.1.0-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.21.2-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.6-0ubuntu2
xserver.bootTime: Mon Feb 18 17:41:37 2013
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.version: 2:1.13.2-0ubuntu2
xserver.video_driver: intel

Revision history for this message
Ryan Lovett (ryan-spacecoaster) wrote :
Revision history for this message
Ryan Lovett (ryan-spacecoaster) wrote :

I'm able to reproduce this fairly reliably in SweetHome 3D when I drag to resize the 3D view pane.

Timo Aaltonen (tjaalton) on 2013-03-05
description: updated
affects: xserver-xorg-input-evdev (Ubuntu) → xserver-xorg-video-intel (Ubuntu)
Revision history for this message
Chris Wilson (ickle) wrote :

GPU hang without the error-state.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Incomplete
bugbot (bugbot) on 2013-03-07
tags: added: freeze
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
Revision history for this message
Ryan Lovett (ryan-spacecoaster) wrote :

Sorry, I don't know what information you need. What is "error-state" and how should I provide it? Does the launchpad X bug report facilitator/app not do this by default?

Revision history for this message
Chris Wilson (ickle) wrote :

Yes, if you run "apport-collect 1129679" after the next event, it will grab the error-state as well as all the logs.

Chris Wilson (ickle) on 2013-03-08
Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Incomplete
Revision history for this message
Lorant Nemeth (loci) wrote :

I experience the same error several times a day. So far I haven't been able to identify what causes the problem, but in the past 4 days I had like 20 crashes. In these cases screen locks up for ~5 seconds than crash report window pops up, but otherwise I can continue to work. Every once in a while (once in every 2 weeks) I see total lockup of X.

I'm not sure, but the problems started to accur about the time when I encrypted my home. Chris, do you have your home encrypted?

Revision history for this message
Lorant Nemeth (loci) wrote :

One of the crash files from /var/crash/

Revision history for this message
Chris Wilson (ickle) wrote :

Is that the most recent crash report as it details the TLB invalidate bug on old packages?

Revision history for this message
Lorant Nemeth (loci) wrote : Re: [Bug 1129679] Re: Server hangs preceded by "EQ overflowing."

Yes it's the most recent one, but what do you mean on old packages? I
guess I did an apt-get upgrade yesterday, but that was still before the
last crash which happened 23:33pm (I'm not sure if I rebooted the
machine after the upgrade though)

On 03/22/2013 10:07 AM, Chris Wilson wrote:
> Is that the most recent crash report as it details the TLB invalidate
> bug on old packages?
>

Revision history for this message
Lorant Nemeth (loci) wrote :

I tried apport-collect 1129679: first of all apport crashed, but than somehow the GPU hang report dialog still showed up. I authorized application access and answered a couple of questions, but nothing happened. Please advise if you need further info and how to collect it, if apport does not work.

Other: it seems, that in most of the cases the lock-up happens when using libreoffice presentation (at this point opening a pptx in read-only mode and switching between the slides (in normal, not presentation mode)

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
Revision history for this message
Ryan Lovett (ryan-spacecoaster) wrote :

The reason I haven't followed up recently is because I downgraded to 12.10.

My raring crashes usually caused the whole machine to hang.

Ryan

On Fri, Mar 22, 2013 at 6:24 AM, Launchpad Bug Tracker <
<email address hidden>> wrote:

> Status changed to 'Confirmed' because the bug affects multiple users.
>
> ** Changed in: xserver-xorg-video-intel (Ubuntu)
> Status: New => Confirmed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1129679
>
> Title:
> Server hangs preceded by "EQ overflowing."
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1129679/+subscriptions
>

Chris Wilson (ickle) on 2013-03-23
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Reuben Thomas (rrt) wrote :

I had this bug in an un-upgraded 12.10 system: my X server froze, the X server log shows a backtrace identical with that in the bug report. However, nothing crashes (I had to log in remotely and kill the X server manually to get control back). If I can provide any more information from system logs &c., do ask.

Revision history for this message
Ryan Lovett (ryan-spacecoaster) wrote :

Reuben: were you able to switch to another virtual console? When I was on
raring I'd sometimes be able to switch and then kill X, other times not and
the machine wouldn't be accessible on the network.

Ryan

On Wed, Apr 3, 2013 at 2:46 PM, Reuben Thomas <email address hidden> wrote:

> I had this bug in an un-upgraded 12.10 system: my X server froze, the X
> server log shows a backtrace identical with that in the bug report.
> However, nothing crashes (I had to log in remotely and kill the X server
> manually to get control back). If I can provide any more information
> from system logs &c., do ask.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1129679
>
> Title:
> Server hangs preceded by "EQ overflowing."
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1129679/+subscriptions
>

Changed in xserver-xorg-video-intel:
status: Unknown → New
Revision history for this message
Reuben Thomas (rrt) wrote :

No, Alt+Ctrl+F1 &c. were unresponsive: I could not switch to another VT.

Revision history for this message
Alex Bachmeier (cebalrai) wrote :

I'm also experiencing this bug on Intel Sandy Bridge graphics.
I'm attaching my log files for Xorg,dmesg,i915.

Revision history for this message
Alex Bachmeier (cebalrai) wrote :

My most recent crash happened while using Google Earth.

Revision history for this message
Chris Wilson (ickle) wrote :

Assuming the i915_error_state is indeed for the same bug (big assumption).

Revision history for this message
Alex Bachmeier (cebalrai) wrote :

Looking at the other comments, my case might be a different one, since my system doesn't hang/crash. I experience slow downs after the crash. So it might indeed be a different bug in my case. For some reason I didn't find the duplicate bug.

Revision history for this message
Ryan Lovett (ryan-spacecoaster) wrote :

I replaced my 13.04 install and with Debian wheezy, then unstable, but didn't have any video hangs.

I then tried a clean install of 13.04 (as opposed to 12.10 then 13.04 as before) and have had a couple of hangs. The first was a "soft hang" where I could kill my desktop session by switching to a virtual console. The rest have been hard machine hangs, the last one while I was on youtube.

Revision history for this message
Dac Chartrand (conner-bw) wrote :

Im using Ubuntu 13.04 on a Lenovo X220

This happens often.

It happened to me today to me when I had multiple Chrome tabs open, one of them being Facebook, and I got a notification from FB with a ping sound.

Google Chrome 27.0.1453.93 (Official Build 200836)

Cut and pasting from /var/logs/* into Google search led me to:
https://bugs.freedesktop.org/show_bug.cgi?id=47535#c14

Which, unfortunately, I don't understand enough to want to try this - in fear of "voiding the warranty".

Regards,

Revision history for this message
franzag (franzagg) wrote :

I suffered the same at random times and more often when playing d3d games with wine

Revision history for this message
Arthur Schiwon (blizzz) wrote :

Still see this happening with 13.10

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Ryan Lovett, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p xserver-xorg-video-intel REPLACE-WITH-BUG-NUMBER

Please note, given that the information from the prior release is already available, doing this on a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → Low
Revision history for this message
Reuben Thomas (rrt) wrote :

Is #26 an automated message? The bug has been confirmed for the current release, 13.10 (see #25).

Also, the wording of the message is a bit odd. It gives "there hasn't been any activity in [the bug] recently" as a justification for re-checking whether the bug still exists. I don't see why this might be an indication the bug is fixed: it just as likely indicates that the reporter believes they have supplied all requested information, and is now waiting for a fix.

It's reasonable to ask whether a bug still exists in a new release, but it has already been confirmed that it does.

Revision history for this message
Ryan Lovett (ryan-spacecoaster) wrote :

I'm no longer running the same version of Ubuntu as I was when I reported
the bug and have not come across this behavior. You may want to check with
the other subscribers of this bug however.

Ryan

On Tue, Jan 7, 2014 at 9:54 AM, Christopher M. Penalver <
<email address hidden>> wrote:

> Ryan Lovett, this bug was reported a while ago and there hasn't been any
> activity in it recently. We were wondering if this is still an issue? If
> so, could you please test for this with the latest development release
> of Ubuntu? ISO images are available from http://cdimage.ubuntu.com
> /daily-live/current/ .
>
> If it remains an issue, could you please run the following command in
> the development release from a Terminal
> (Applications->Accessories->Terminal), as it will automatically gather
> and attach updated debug information to this report:
>
> apport-collect -p xserver-xorg-video-intel REPLACE-WITH-BUG-NUMBER
>
> Please note, given that the information from the prior release is
> already available, doing this on a release prior to the development one
> would not be helpful.
>
> Thank you for your understanding.
>
> Helpful bug reporting tips:
> https://wiki.ubuntu.com/ReportingBugs
>
> ** This bug is no longer a duplicate of bug 1041790
> [snb] GPU lockup IPEHR: 0x0b160001 IPEHR: 0x0b140001, workaround
> i915.semaphores=0
>
> ** Changed in: xserver-xorg-video-intel (Ubuntu)
> Importance: Undecided => Low
>
> ** Attachment removed:
> "xserver-xorg-video-intel.2013-03-21_23:33:26.406518.crash"
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1129679/+attachment/3589924/+files/xserver-xorg-video-intel.2013-03-21_23%3A33%3A26.406518.crash
>
> ** Attachment removed: "dmesg.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1129679/+attachment/3668881/+files/dmesg.txt
>
> ** Attachment removed: "Xorg.0.log"
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1129679/+attachment/3668880/+files/Xorg.0.log
>
> ** Attachment removed: "Xorg.0.log.old"
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1129679/+attachment/3883771/+files/Xorg.0.log.old
>
> ** Attachment removed: "i915_error_state"
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1129679/+attachment/3668879/+files/i915_error_state
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1129679
>
> Title:
> Server hangs preceded by "EQ overflowing."
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/xserver-xorg-video-intel/+bug/1129679/+subscriptions
>

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

Ryan Lovett, thank you for your comments. The other subscribers would need to file a new report so their bug and hardware may be tracked. Despite this, this bug report is being closed due to your last comment https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1129679/comments/28 regarding this being fixed with an update. For future reference you can manage the status of your own bugs by clicking on the current status in the yellow line and then choosing a new status in the revealed drop down box. You can learn more about bug statuses at https://wiki.ubuntu.com/Bugs/Status. Thank you again for taking the time to report this bug and helping to make Ubuntu better. Please submit any future bugs you may find.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.